diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
index 1f40fc6..d58807a 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
@@ -891,27 +891,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kalasin
+    // Uthai Thani
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Kalasin">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;UthaiThani">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kalasin</rdfs:label>
-      <skos:definition>The province of Kalasin in the country of Thailand</skos:definition>
+      <rdfs:label>Uthai Thani</rdfs:label>
+      <skos:definition>The province of Uthai Thani in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Kalasin</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Uthai Thani</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-46">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-61">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Kalasin in the country of Thailand</skos:definition>
-      <rdfs:label>TH-46</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-46</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Kalasin"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Kalasin"/>
+      <skos:definition>subdivision code for the province of Uthai Thani in the country of Thailand</skos:definition>
+      <rdfs:label>TH-61</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-61</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;UthaiThani"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;UthaiThani"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -921,27 +921,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakhon Phanom
+    // Ranong
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonPhanom">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Ranong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakhon Phanom</rdfs:label>
-      <skos:definition>The province of Nakhon Phanom in the country of Thailand</skos:definition>
+      <rdfs:label>Ranong</rdfs:label>
+      <skos:definition>The province of Ranong in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Phanom</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ranong</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-48">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-85">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nakhon Phanom in the country of Thailand</skos:definition>
-      <rdfs:label>TH-48</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-48</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonPhanom"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonPhanom"/>
+      <skos:definition>subdivision code for the province of Ranong in the country of Thailand</skos:definition>
+      <rdfs:label>TH-85</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-85</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Ranong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Ranong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -951,27 +951,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phrae
+    // Trat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phrae">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Trat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phrae</rdfs:label>
-      <skos:definition>The province of Phrae in the country of Thailand</skos:definition>
+      <rdfs:label>Trat</rdfs:label>
+      <skos:definition>The province of Trat in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phrae</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Trat</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-54">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-23">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phrae in the country of Thailand</skos:definition>
-      <rdfs:label>TH-54</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-54</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phrae"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phrae"/>
+      <skos:definition>subdivision code for the province of Trat in the country of Thailand</skos:definition>
+      <rdfs:label>TH-23</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-23</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Trat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Trat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -981,27 +981,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phichit
+    // Sa Kaeo
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phichit">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SaKaeo">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phichit</rdfs:label>
-      <skos:definition>The province of Phichit in the country of Thailand</skos:definition>
+      <rdfs:label>Sa Kaeo</rdfs:label>
+      <skos:definition>The province of Sa Kaeo in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phichit</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sa Kaeo</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-66">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-27">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phichit in the country of Thailand</skos:definition>
-      <rdfs:label>TH-66</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-66</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phichit"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phichit"/>
+      <skos:definition>subdivision code for the province of Sa Kaeo in the country of Thailand</skos:definition>
+      <rdfs:label>TH-27</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-27</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SaKaeo"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SaKaeo"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1011,27 +1011,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakhon Si Thammarat
+    // Amnat Charoen
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonSiThammarat">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;AmnatCharoen">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakhon Si Thammarat</rdfs:label>
-      <skos:definition>The province of Nakhon Si Thammarat in the country of Thailand</skos:definition>
+      <rdfs:label>Amnat Charoen</rdfs:label>
+      <skos:definition>The province of Amnat Charoen in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Si Thammarat</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Amnat Charoen</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-80">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-37">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nakhon Si Thammarat in the country of Thailand</skos:definition>
-      <rdfs:label>TH-80</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-80</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonSiThammarat"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonSiThammarat"/>
+      <skos:definition>subdivision code for the province of Amnat Charoen in the country of Thailand</skos:definition>
+      <rdfs:label>TH-37</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-37</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;AmnatCharoen"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;AmnatCharoen"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1041,27 +1041,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phatthaya
+    // Loei
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phatthaya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Loei">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phatthaya</rdfs:label>
-      <skos:definition>The special administrative city of Phatthaya in the country of Thailand</skos:definition>
+      <rdfs:label>Loei</rdfs:label>
+      <skos:definition>The province of Loei in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phatthaya</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;SpecialAdministrativeCity"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Loei</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-S">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-42">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the special administrative city of Phatthaya in the country of Thailand</skos:definition>
-      <rdfs:label>TH-S</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-S</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phatthaya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phatthaya"/>
+      <skos:definition>subdivision code for the province of Loei in the country of Thailand</skos:definition>
+      <rdfs:label>TH-42</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-42</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Loei"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Loei"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1071,27 +1071,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Phra Nakhon Si Ayutthaya
+    // Roi Et
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PhraNakhonSiAyutthaya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;RoiEt">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Phra Nakhon Si Ayutthaya</rdfs:label>
-      <skos:definition>The province of Phra Nakhon Si Ayutthaya in the country of Thailand</skos:definition>
+      <rdfs:label>Roi Et</rdfs:label>
+      <skos:definition>The province of Roi Et in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phra Nakhon Si Ayutthaya</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Roi Et</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-14">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-45">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Phra Nakhon Si Ayutthaya in the country of Thailand</skos:definition>
-      <rdfs:label>TH-14</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-14</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PhraNakhonSiAyutthaya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PhraNakhonSiAyutthaya"/>
+      <skos:definition>subdivision code for the province of Roi Et in the country of Thailand</skos:definition>
+      <rdfs:label>TH-45</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-45</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;RoiEt"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;RoiEt"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1101,27 +1101,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chon Buri
+    // Suphan Buri
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChonBuri">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SuphanBuri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chon Buri</rdfs:label>
-      <skos:definition>The province of Chon Buri in the country of Thailand</skos:definition>
+      <rdfs:label>Suphan Buri</rdfs:label>
+      <skos:definition>The province of Suphan Buri in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chon Buri</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Suphan Buri</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-20">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-72">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chon Buri in the country of Thailand</skos:definition>
-      <rdfs:label>TH-20</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-20</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChonBuri"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChonBuri"/>
+      <skos:definition>subdivision code for the province of Suphan Buri in the country of Thailand</skos:definition>
+      <rdfs:label>TH-72</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-72</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SuphanBuri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SuphanBuri"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1131,27 +1131,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sakon Nakhon
+    // Samut Sakhon
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SakonNakhon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SamutSakhon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sakon Nakhon</rdfs:label>
-      <skos:definition>The province of Sakon Nakhon in the country of Thailand</skos:definition>
+      <rdfs:label>Samut Sakhon</rdfs:label>
+      <skos:definition>The province of Samut Sakhon in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sakon Nakhon</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Samut Sakhon</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-47">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-74">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sakon Nakhon in the country of Thailand</skos:definition>
-      <rdfs:label>TH-47</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-47</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SakonNakhon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SakonNakhon"/>
+      <skos:definition>subdivision code for the province of Samut Sakhon in the country of Thailand</skos:definition>
+      <rdfs:label>TH-74</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-74</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SamutSakhon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SamutSakhon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1161,27 +1161,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Mukdahan
+    // Surat Thani
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Mukdahan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SuratThani">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Mukdahan</rdfs:label>
-      <skos:definition>The province of Mukdahan in the country of Thailand</skos:definition>
+      <rdfs:label>Surat Thani</rdfs:label>
+      <skos:definition>The province of Surat Thani in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Mukdahan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Surat Thani</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-49">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-84">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Mukdahan in the country of Thailand</skos:definition>
-      <rdfs:label>TH-49</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-49</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Mukdahan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Mukdahan"/>
+      <skos:definition>subdivision code for the province of Surat Thani in the country of Thailand</skos:definition>
+      <rdfs:label>TH-84</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-84</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SuratThani"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SuratThani"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1191,27 +1191,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lampang
+    // Pathum Thani
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Lampang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PathumThani">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lampang</rdfs:label>
-      <skos:definition>The province of Lampang in the country of Thailand</skos:definition>
+      <rdfs:label>Pathum Thani</rdfs:label>
+      <skos:definition>The province of Pathum Thani in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Lampang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Pathum Thani</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-52">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-13">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Lampang in the country of Thailand</skos:definition>
-      <rdfs:label>TH-52</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-52</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Lampang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Lampang"/>
+      <skos:definition>subdivision code for the province of Pathum Thani in the country of Thailand</skos:definition>
+      <rdfs:label>TH-13</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-13</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PathumThani"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PathumThani"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1221,27 +1221,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Mae Hong Son
+    // Ang Thong
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;MaeHongSon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;AngThong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Mae Hong Son</rdfs:label>
-      <skos:definition>The province of Mae Hong Son in the country of Thailand</skos:definition>
+      <rdfs:label>Ang Thong</rdfs:label>
+      <skos:definition>The province of Ang Thong in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Mae Hong Son</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ang Thong</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-58">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-15">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Mae Hong Son in the country of Thailand</skos:definition>
-      <rdfs:label>TH-58</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-58</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;MaeHongSon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;MaeHongSon"/>
+      <skos:definition>subdivision code for the province of Ang Thong in the country of Thailand</skos:definition>
+      <rdfs:label>TH-15</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-15</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;AngThong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;AngThong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1251,27 +1251,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Uthai Thani
+    // Chai Nat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;UthaiThani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChaiNat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Uthai Thani</rdfs:label>
-      <skos:definition>The province of Uthai Thani in the country of Thailand</skos:definition>
+      <rdfs:label>Chai Nat</rdfs:label>
+      <skos:definition>The province of Chai Nat in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Uthai Thani</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chai Nat</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-61">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-18">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Uthai Thani in the country of Thailand</skos:definition>
-      <rdfs:label>TH-61</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-61</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;UthaiThani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;UthaiThani"/>
+      <skos:definition>subdivision code for the province of Chai Nat in the country of Thailand</skos:definition>
+      <rdfs:label>TH-18</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-18</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChaiNat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChaiNat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
